'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _props = require('./props');

var _template = require('./public/template');

var _template2 = _interopRequireDefault(_template);

var _name = require('./public/name');

var _name2 = _interopRequireDefault(_name);

var _render = require('./public/render');

var _render2 = _interopRequireDefault(_render);

var _nc = require('./ali/nc');

var _nc2 = _interopRequireDefault(_nc);

var _version = require('./ali/version');

var _version2 = _interopRequireDefault(_version);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  name: _name2.default,
  template: _template2.default,
  data: function data() {
    return {
      version: _version2.default.nc,
      nc: null,
      id: (0, _utils.setId)()
    };
  },

  props: _props.single,
  created: function created() {
    // check install
    if (!window.noCaptcha) {
      // install
      (0, _nc2.default)(this.aeis, this.https);
    }
    // @load
    this.$emit('load');
  },
  mounted: function mounted() {
    var _this = this;

    // init
    var appkey = this.appkey,
        scene = this.scene,
        lang = this.lang;

    var token = appkey + ':' + new Date().getTime() + ':' + Math.random();
    var init = window.noCaptcha;
    var nc = this.nc = init({
      renderTo: '#' + this.id,
      appkey: appkey,
      scene: scene,
      token: token,
      language: (0, _utils.getLang)(lang),
      callback: function callback(_ref) {
        var csessionid = _ref.csessionid,
            sig = _ref.sig;

        _this.$emit('callback', {
          csessionid: csessionid,
          sig: sig,
          token: token,
          scene: scene,
          nc: nc
        });
      },
      error: function error(err) {
        _this.$emit('error', err);
      }
    });
    nc.reset();
  },
  destroyed: function destroyed() {
    if (this.nc && this.nc.destroy) {
      this.nc.destroy();
    }
  },

  render: _render2.default
};